-- Author: sean,Rambow145
--
-- Nov'15 10/20/17
--
-- Version 1.0

contractSellPlaceable = {};
contractSellPlaceable_mt = Class(contractSellPlaceable, Placeable);
InitObjectClass(contractSellPlaceable, "contractSellPlaceable");

function contractSellPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, contractSellPlaceable_mt);
    registerObjectClassName(self, "contractSellPlaceable");
    return self;
end;

function contractSellPlaceable:delete()
    removeTrigger(self.WoodSellTriggerId);
    unregisterObjectClassName(self);
    contractSellPlaceable:superClass().delete(self);
end;

function contractSellPlaceable:deleteFinal()
    contractSellPlaceable:superClass().deleteFinal(self);
end;

function contractSellPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, initRandom)
    if not contractSellPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
	
    self.WoodSellTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.WoodSellTrigger#index"));
    WoodSellTrigger:onCreate(self.WoodSellTriggerId);
    delete(xmlFile);
    return true;
end;

function contractSellPlaceable:update(dt)
end;
registerPlaceableType("contractSellPlaceable", contractSellPlaceable);

